Package: groovy.contracts

## [Java] Annotation Type Invariants

- groovy.contracts.Invariants

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.TYPE)
      @Incubating
      public @interface Invariants

  Represents multiple invariants

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `Invariant[]` | `value`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Invariant[] value